## ros-kinetic-topic-tools 1.12.17

=== debian/changelog ===
ros-kinetic-topic-tools (1.12.17-1xenial) xenial; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Oct 2020 07:00:00 -0000

ros-kinetic-topic-tools (1.12.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Aug 2020 07:00:00 -0000

ros-kinetic-topic-tools (1.12.15-1xenial) xenial; urgency=high

  * transfom: create publisher before subscriber, because callback may use the publisher (#1669 <https://github.com/ros/ros_comm/issues/1669>)
  * mux: do not dereference the end-iterator (#1579 <https://github.com/ros/ros_comm/issues/1579>)
  * fix topic_tools environment hook (#1486 <https://github.com/ros/ros_comm/issues/1486>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Aug 2020 07:00:00 -0000

ros-kinetic-topic-tools (1.12.14-1xenial) xenial; urgency=high

  * check that output topic is valid in demux (#1367 <https://github.com/ros/ros_comm/issues/1367>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Aug 2018 07:00:00 -0000

ros-kinetic-topic-tools (1.12.13-1xenial) xenial; urgency=high

  * replace deprecated syntax (backticks with repr()) (#1259 <https://github.com/ros/ros_comm/issues/1259>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Feb 2018 08:00:00 -0000

ros-kinetic-topic-tools (1.12.12-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-kinetic-topic-tools (1.12.11-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Nov 2017 08:00:00 -0000

ros-kinetic-topic-tools (1.12.10-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-topic-tools (1.12.9-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-topic-tools (1.12.8-1xenial) xenial; urgency=high

  * make demux more agile (#1196 <https://github.com/ros/ros_comm/issues/1196>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-topic-tools (1.12.7-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-topic-tools (1.12.6-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-kinetic-topic-tools (1.12.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-topic-tools (1.12.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-topic-tools (1.12.3-1xenial) xenial; urgency=high

  * add abstract class to implement connection based transport (#713 <https://github.com/ros/ros_comm/pull/713>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-kinetic-topic-tools (1.12.2-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-kinetic-topic-tools (1.12.1-1xenial) xenial; urgency=high

  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-kinetic-topic-tools (1.12.0-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-topic-tools (1.11.18-1xenial) xenial; urgency=high

  * fix CMake warning about non-existing targets

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-topic-tools (1.11.17-1xenial) xenial; urgency=high

  * add --wait-for-start option to relay_field script (#728 <https://github.com/ros/ros_comm/pull/728>)
  * use boost::make_shared instead of new for constructing boost::shared_ptr (#740 <https://github.com/ros/ros_comm/issues/740>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-kinetic-topic-tools (1.11.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-kinetic-topic-tools (1.11.15-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-kinetic-topic-tools (1.11.14-1xenial) xenial; urgency=high

  * new tool "relay_field" which allows relay topic fields to another topic (#639 <https://github.com/ros/ros_comm/pull/639>)
  * allow transform to be used with ros arguments and in a launch file (#644 <https://github.com/ros/ros_comm/issues/644>)
  * add --wait-for-start option to transform script (#646 <https://github.com/ros/ros_comm/pull/646>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-topic-tools (1.11.13-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-kinetic-topic-tools (1.11.12-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-kinetic-topic-tools (1.11.11-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-kinetic-topic-tools (1.11.10-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-kinetic-topic-tools (1.11.9-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-kinetic-topic-tools (1.11.8-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-kinetic-topic-tools (1.11.7-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-kinetic-topic-tools (1.11.6-1xenial) xenial; urgency=high




